package com.njcn.cloud.utils;

import cn.hutool.core.util.StrUtil;

/**
 * @author wr
 * @description
 * @date 2023/11/9 9:34
 */
public class PubUtil {

    public static String lineName(String sagSource,String lineName){
        if(StrUtil.isNotBlank(sagSource)&&"Upper".equals(sagSource)){
            return lineName+" (暂降源位置:上游)";
        }
        if(StrUtil.isNotBlank(sagSource)&&"Lower".equals(sagSource)){
            return lineName+" (暂降源位置:下游)";
        }
        if(StrUtil.isNotBlank(sagSource)){
            return lineName+" (暂降源位置:未知)";
        }
        return lineName;
    }
}
